Bug 895751 - [abrt] emacs-24.1-7.fc17: fatal_error_signal: Process /usr/bin/emacs-24.1 was killed by signal 11 (SIGSEGV)
Summary: [abrt] emacs-24.1-7.fc17: fatal_error_signal: Process /usr/bin/emacs-24.1 was...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:baafdb9db025b164087135cd0f8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-15 22:55 UTC by marty
Modified: 2013-08-01 08:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 08:36:41 UTC


Attachments (Terms of Use)
File: core_backtrace (2.57 KB, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: environ (3.22 KB, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: backtrace (35.42 KB, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: cgroup (128 bytes, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: smolt_data (2.81 KB, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: executable (19 bytes, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: maps (47.00 KB, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: dso_list (8.40 KB, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: proc_pid_status (925 bytes, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: var_log_messages (152 bytes, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details
File: open_fds (491 bytes, text/plain)
2013-01-15 22:55 UTC, marty
no flags Details

Description marty 2013-01-15 22:55:09 UTC
Description of problem:
Tried to block comment via C-x C-R-t and hit a combination of C-x and C-z. Not sure if emacs minimized before it segfaulted.

Version-Release number of selected component:
emacs-24.1-7.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        emacs essay.tex
crash_function: fatal_error_signal
kernel:         3.6.11-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #1 fatal_error_signal at /usr/src/debug/emacs-24.1/src/emacs.c:366
: #4 __strlen_sse2_pminub at ../sysdeps/x86_64/multiarch/strlen-sse2-pminub.S:39
: #5 g_strdup at gstrfuncs.c:355
: #6 gtk_label_set_text at gtklabel.c:1917
: #7 xg_tool_item_stale_p at /usr/src/debug/emacs-24.1/src/gtkutil.c:4347
: #8 update_frame_tool_bar at /usr/src/debug/emacs-24.1/src/gtkutil.c:4582
: #9 redisplay_tool_bar at /usr/src/debug/emacs-24.1/src/xdisp.c:11795
: #10 redisplay_window at /usr/src/debug/emacs-24.1/src/xdisp.c:16040
: #11 redisplay_window_0 at /usr/src/debug/emacs-24.1/src/xdisp.c:13748
: #12 internal_condition_case_1 at /usr/src/debug/emacs-24.1/src/eval.c:1553

Comment 1 marty 2013-01-15 22:55:12 UTC
Created attachment 679150 [details]
File: core_backtrace

Comment 2 marty 2013-01-15 22:55:14 UTC
Created attachment 679151 [details]
File: environ

Comment 3 marty 2013-01-15 22:55:17 UTC
Created attachment 679152 [details]
File: backtrace

Comment 4 marty 2013-01-15 22:55:18 UTC
Created attachment 679153 [details]
File: limits

Comment 5 marty 2013-01-15 22:55:20 UTC
Created attachment 679154 [details]
File: cgroup

Comment 6 marty 2013-01-15 22:55:22 UTC
Created attachment 679155 [details]
File: smolt_data

Comment 7 marty 2013-01-15 22:55:24 UTC
Created attachment 679156 [details]
File: executable

Comment 8 marty 2013-01-15 22:55:26 UTC
Created attachment 679157 [details]
File: maps

Comment 9 marty 2013-01-15 22:55:28 UTC
Created attachment 679158 [details]
File: dso_list

Comment 10 marty 2013-01-15 22:55:30 UTC
Created attachment 679159 [details]
File: proc_pid_status

Comment 11 marty 2013-01-15 22:55:32 UTC
Created attachment 679160 [details]
File: var_log_messages

Comment 12 marty 2013-01-15 22:55:34 UTC
Created attachment 679161 [details]
File: open_fds

Comment 13 Fedora Admin XMLRPC Client 2013-02-27 15:49:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora End Of Life 2013-07-04 02:32:38 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2013-08-01 08:36:47 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.